Skip to main content
`Ctrl`+`K`

# SNESNewtonALSetCorrectionType

Set the type of correction to use in the arc-length continuation method.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonALSetCorrectionType(SNES snes, SNESNewtonALCorrectionType ctype)

Logically Collective

## Input Parameters

- snes - the nonlinear solver object

- ctype - the type of correction to use

## Options Database Key

- -snes_newtonal_correction_type <type> - Set the type of correction to use; use -help for a list of available types

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONAL`, `SNESNewtonALCorrectionType`

## Level

intermediate

## Location

src/snes/impls/al/al.c

## Implementations

SNESNewtonALSetCorrectionType_NEWTONAL() in src/snes/impls/al/al.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages